* Do not break Python package making it unsignable
* Manaully add one of breakpad libs for codesigning. It doesn't get signed automatically by codesign --deep.
* Enable macOS adhoc signing.
* Enable running of macOS packaging in GHA, most of the work done in dedbabde56
* Cleanup breakpad handling
* Have single version of main executable in folder expected by macOS and most tools instead of executable+symlink+shell script
* Handle Breakpad library lookup in more CMake way using FindBreakpad just like it's done on other platforms and packages
* Refactor error handling in some of the shell scripts to use `set -e` instead of `|| exit 1` for each command.
* Fix DMG background setup
* Run cutter appimage packaging in GHA.
* Update cutter-deps.
* Switch to older visual studio due to pyside having problems parsing MSVC
headers.
* Take GIL in the injected code fragment #2511.
* Move Ubuntu 16.04 sytem dependencies build to GHA.
* Downgrade some of the software installed on Github VMs to better match
what's available on Ubuntu 16.04
* Disable breakpad tools, we dont use them and some of them require fresh linux kernel for compilation.
* First version of cpack scripts
* Fix python binding building using CMake on windows
* Package python and pyside in the cpack package
* Run windeployqt as part of packaging to include the Qt dlls and vcruntime installer